Bug 921008 - Guest will keep typing '~' after press F9 and F10 in same time.
Summary: Guest will keep typing '~' after press F9 and F10 in same time.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: gtk-vnc
Version: 7.0
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Daniel Berrangé
QA Contact: SPICE QE bug list
URL:
Whiteboard:
Depends On: 1416783
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-03-13 10:04 UTC by Geyang Kong
Modified: 2017-08-01 19:55 UTC (History)
12 users (show)

Fixed In Version: gtk-vnc-0.7.0-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 820829
Environment:
Last Closed: 2017-08-01 19:55:38 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2258 normal SHIPPED_LIVE Moderate: gtk-vnc security, bug fix, and enhancement update 2017-08-01 18:21:01 UTC

Comment 1 Marc-Andre Lureau 2013-05-09 13:27:51 UTC
sent proposed fix to ML:
http://lists.freedesktop.org/archives/spice-devel/2013-May/013351.html

Comment 3 Christophe Fergeau 2014-01-24 17:46:21 UTC
Fixed SPICE in current spice-gtk builds (spice-gtk 0.20), still happening with VNC according to the cloned bug, moving there.

Comment 4 Daniel Berrangé 2014-01-29 17:11:15 UTC
Equiv fix to SPICE added to GTK-VNC

commit 3e9b8085b2990127977c75d6b66421f611c1676c
Author: Daniel P. Berrange <berrange@redhat.com>
Date:   Wed Jan 29 17:09:03 2014 +0000

    Release held keys upon grab_notify event
    
    gtk may propagate some press event up to the Spice display widget, but
    a widget may take focus and grab the release event, so the guest will
    keep seeing the key pressed.
    
    Releasing the keys when the grab is taken solves two menu-related bugs:
    
      https://bugzilla.redhat.com/show_bug.cgi?id=820829
      https://bugzilla.redhat.com/show_bug.cgi?id=924577
    
    This is based on a spice-gtk fix:
    
      http://lists.freedesktop.org/archives/spice-devel/2013-May/013351.html
    
    Signed-off-by: Daniel P. Berrange <berrange@redhat.com>

Comment 5 Ludek Smid 2014-06-26 11:16:08 UTC
This request was not resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you need
to escalate this bug.

Comment 6 Mike McCune 2016-03-28 22:19:01 UTC
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions

Comment 11 Bill Sanford 2017-04-24 17:00:53 UTC
Verified in RHEL-7.4-20170421.1.

Comment 12 errata-xmlrpc 2017-08-01 19:55:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2258


Note You need to log in before you can comment on or make changes to this bug.